

Env, Dataset and Paras
======================
LibRadar: Default settings. 2.6 GB dataset of library features generated from 1,060,000 apks.

LibRadar's dataset is generated in 2017.

LibD: Latest code from Github. Taken 30 as threshold.

LibD's dataset is generated in 2016.

We randomly select 50 apks downloaded in 2016 as test set.

There's no intersection between LibRadar's training dataset and test dataset.


First Example
=============

APK: zozo.android.lostword.apk

Result of LibRadar
------------------
```
com/tapjoy
com/nineoldandroids
com/chartboost/sdk
com/fasterxml
com/sponsorpay
com/google/android/gms
com/google/ads
com/squareup/picasso
com/squareup/okhttp
com/unity3d
com/unity3d/ads
com/immersion/hapticmediasdk
com/jirbo/adcolony
com/android/vending
com/threatmetrix
com/facebook
okio
android/support
android/support/v4
bolts
com/noqoush
```

Result of LibD
--------------
```
com/nineoldandroids/view
com/immersion/content
com/applifier/impact
com/fasterxml/jackson
com/threatmetrix/TrustDefenderMobile
com/immersion/hapticmediasdk
com/auer/lps
com/android/vending
```

Key points
==========

Library containing
------------------

LibD can hardly tell lib contains. In many test cases, it never found a library contains another.

In fact, this situation exists. e.g. com/unity3d contains com/unity3d/ads, Unity3d is a game engine while unity3d ads should be taken as an advertisement library.

Package name anti-obfuscation
-----------------------------
LibD can solve name obfuscation problem in code but it could not highly solve the obfuscation problem in package name.
In its library list(such as [Threshold50](https://github.com/IIE-LibD/libd/blob/master/liblist/liblist_threshold_50.csv)), there's many obfuscated package name like "/$$OOOOOOOOOOOO/$OOOOOOOOOOOOOOOO/$OOOOOOOOOOOOOOOO".
Not to mention we could not determine if it is a false positive, we can not determine what the code is in the end.

Library's boundary
------------------
It's hard to determine the boundary. In LibD's library list, /com/nineoldandroids/animation is a library and /com/nineoldandroids/view is another. With tagging assistant, LibRadar can solve this problem.

LibD didn't find com/google/android/gms and com/google/ads because in the first stage, LibD take com/google as a code bundle(library candidates). However, There's no com/google in library list, so LibD missed `Google GMS` and `Google Ads` at the same time.

Results of 50 apks
==================

```
APP 1:/Volumes/banana/apks/com.sohomob.android.aeroplane_chess_battle_ludo_2.apk
LibRadar:
Landroid/support
Landroid/support/v4
Lorg/anddev/andengine
Lokio
Lokhttp3
Lcom/google/android/gms
Lcom/google/android/gcm
Lcom/google/ads
Lcom/millennialmedia
Lcom/inmobi
Lcom/flurry/android
Lcom/flurry/sdk
Lcom/android/vending
Lorg/anddev
--------
LibD:
com/millennialmedia/android
com/inmobi/analytics
com/millennialmedia/google
com/android/vending
========
APP 2:/Volumes/banana/apks/com.luckyxmobile.babycare.apk
LibRadar:
Landroid/support
Landroid/support/v4
Landroid/support/v7
Lorg/achartengine
Lcom/viewpagerindicator
Lcom/google/android/exoplayer
Lcom/google/android/gms
Lcom/google/ads
Lcom/google/firebase
Lcom/millennialmedia
Lcom/amazon/device/ads
Lcom/nineoldandroids
Lcom/umeng/analytics
Lcom/mobeta
Lcom/mopub
Lcom/facebook
Lu/aly
Lau/com/bytecode/opencsv
Lcom/dd
Lcom/placed
Lcom/umeng
Lcom/robotium
Lau
--------
LibD:
com/nineoldandroids/view
com/viewpagerindicator
========
APP 3:/Volumes/banana/apks/com.til.timesnews.apk
LibRadar:
Lretrofit
Le/a
Lcom/comscore
Lcom/google/android/gms
Lcom/google/ads
Lcom/google/f
Lcom/a
Lcom/urbanairship
Lcom/facebook
La/a/a
Landroid/support
Landroid/support/v4
Landroid/support/design
Landroid/support/v7
Lorg/jsoup
Lcom/google/c
Lcom/google/a/a
Lcom/lotame
Lcom/digits/sdk/a
Lcom/twitter/sdk/android/core/internal/oauth
Lcom/twitter/sdk/android/core/identity
Lcom/twitter/sdk/android/tweetcomposer
--------
LibD:
retrofit/http
retrofit/android
========
APP 4:/Volumes/banana/apks/zozo.android.lostword.apk
LibRadar:
Lcom/tapjoy
Lcom/nineoldandroids
Lcom/chartboost/sdk
Lcom/fasterxml
Lcom/sponsorpay
Lcom/google/android/gms
Lcom/google/ads
Lcom/squareup/picasso
Lcom/squareup/okhttp
Lcom/unity3d
Lcom/unity3d/ads
Lcom/immersion/hapticmediasdk
Lcom/jirbo/adcolony
Lcom/android/vending
Lcom/threatmetrix
Lcom/facebook
Lokio
Landroid/support
Landroid/support/v4
Lbolts
Lcom/noqoush
--------
LibD:
com/nineoldandroids/view
com/immersion/content
com/applifier/impact
com/fasterxml/jackson
com/threatmetrix/TrustDefenderMobile
com/immersion/hapticmediasdk
com/auer/lps
com/android/vending
========
APP 5:/Volumes/banana/apks/com.pro.app.compass.apk
LibRadar:
Landroid/support
Landroid/support/v4
Lcom/actionbarsherlock
Lcom/google/android/gms
Lcom/startapp
Lcom/a/c
--------
LibD:
========
APP 6:/Volumes/banana/apks/com.car.parking.traffic.car.driving.apk
LibRadar:
Landroid/support
Landroid/support/v4
Lorg/fmod
Lcom/chartboost/sdk
Lcom/google/android/gms
Lcom/google/android/vending
Lcom/google/ads
Lcom/unity3d
Lcom/unity3d/ads
Lcom/androidnative
--------
LibD:
com/mnp/utils
========
APP 7:/Volumes/banana/apks/com.nema.batterycalibration.apk
LibRadar:
--------
LibD:
========
APP 8:/Volumes/banana/apks/com.cerminara.yazzy.apk
LibRadar:
Landroid/support
Landroid/support/design
Landroid/support/v7
Landroid/support/v4
Lorg/nexage
Lcom/mopub
Lcom/appodeal/ads
Lcom/chartboost/sdk
Lcom/applovin
Lcom/github
Lcom/flurry/android
Lcom/flurry/sdk
Lcom/unity3d
Lcom/unity3d/ads2
Lcom/unity3d/ads
Lcom/google/android/gms
Lcom/google/ads
Lcom/google/firebase
Lcom/amazon/device/ads
Lcom/android/vending
Lcom/my
Lcom/cmcm
Lcom/yandex/metrica
--------
LibD:
com/android/vending
========
APP 9:/Volumes/banana/apks/com.rommanapps.children_police.apk
LibRadar:
Landroid/support
Landroid/support/v4
Lbolts
Lcom/google/android/gms
Lcom/google/ads
Lcom/google/gson
Lcom/millennialmedia
Lcom/startapp
Lcom/facebook
Lcom/parse
Lcom/inmobi
--------
LibD:
com/google/beintoogson
========
APP 10:/Volumes/banana/apks/com.mys.runner.iq.apk
LibRadar:
Lnet/minidev/json
Lcom/prime31
Lcom/jayway/jsonpath
Lcom/tapjoy
Lcom/google/android/gms
Lcom/google/android/gcm
Lcom/google/ads
Lcom/google/tagmanager
Lcom/google/analytics
Lcom/purplebrain/adbuddiz
Lcom/unity3d
Lcom/immersion/hapticmediasdk
Lcom/jirbo/adcolony
Lcom/android/vending
Lcom/threatmetrix
Lcom/facebook
Landroid/support
Landroid/support/v4
Lbolts
Lorg/apache/commons
Lorg/fmod
Lorg/scribe
Lorg/springframework
Lnet
--------
LibD:
com/android/vending
com/unity3d/player
org/fmod
com/immersion/content
com/threatmetrix/TrustDefenderMobile
org/springframework/beans
net/minidev/json
com/immersion/hapticmediasdk
org/apache/commons
com/ami/fundapter
com/jayway/jsonpath
========
APP 11:/Volumes/banana/apks/com.saavn.android.apk
LibRadar:
Landroid/support
Landroid/support/multidex
Landroid/support/design
Landroid/support/v4
Landroid/support/v7
Lcom/comscore
Lcom/viewpagerindicator
Lcom/inmobi
Lcom/google/android/exoplayer
Lcom/google/android/gms
Lcom/google/ads
Lcom/a
Lcom/nostra13
Lcom/mopub
Lcom/facebook
--------
LibD:
========
APP 12:/Volumes/banana/apks/com.androidwasabi.livewallpaper.s4drop.apk
LibRadar:
Lcom/appbrain
Lcom/google/android/gms
Lcom/google/ads
Lcom/google/gson
Lcom/badlogic
Lcmn
--------
LibD:
com/google/gson
========
APP 13:/Volumes/banana/apks/com.sanchezapps.football2015.apk
LibRadar:
Lorg/fmod
Lcom/google/android/gms
Lcom/google/ads
Lcom/unity3d
--------
LibD:
com/unity3d/player
org/fmod
========
APP 14:/Volumes/banana/apks/com.skyboard.google.littlefarm.apk
LibRadar:
Lcom/tapjoy
Lcom/chartboost/sdk
Lcom/threatmetrix
Lcom/google/android/gms
Lcom/google/android/gcm
Lcom/google/ads
Lcom/google/gdata
Lcom/google/gson
Lcom/jirbo/adcolony
Lcom/supersonicads/sdk
Lcom/android/vending
Lcom/nostra13
Lcom/flurry/android
Lcom/flurry/sdk
Lcom/facebook
Landroid/support
Landroid/support/v4
Lbolts
Lorg/cocos2dx
Lorg/cocos2dx
Lcom/amplitude
Lcom/mobileapptracker
Lmuneris/android/iap
Lmuneris/android/core
Lmuneris/android/virtualstore
Lmuneris/android/util
Lmuneris/android/crashreport
Lmuneris/android/extensions
Loauth
--------
LibD:
com/chartboost/sdk
lombok/extern/log4j
oauth/signpost
com/google/gdata
com/jirbo/adcolony
com/threatmetrix/TrustDefenderMobile
lombok/extern/slf4j
com/tapjoy
com/google/gson
com/android/vending
========
APP 15:/Volumes/banana/apks/com.daamitt.walnut.app.apk
LibRadar:
Lcom/google/android/gms
Lcom/google/gson
Lcom/github
Lcom/crashlytics
Lcom/facebook
Landroid/support
Landroid/support/design
Landroid/support/v7
Landroid/support/v4
Lse
--------
LibD:
========
APP 16:/Volumes/banana/apks/com.playtika.wildluckcasino.apk
LibRadar:
Lorg/apache/commons
Lmono/com
Lmono/android
Lcom/google/android/gms
Lcom/google/android/gcm
Lcom/google/ads
Lcom/google/tagmanager
Lcom/google/analytics
Lcom/j256
Lcom/chartboost/sdk
Lcom/adobe/fre
Lcom/appsflyer
Lcom/facebook
Landroid/support
Landroid/support/v4
Lbolts
--------
LibD:
mono/java/util
mono/javax/xml
opentk/platform/android
opentk/platform/android
com/adobe/fre
mono/java/lang
========
APP 17:/Volumes/banana/apks/com.Fisherman.Greekwpa.apk
LibRadar:
Landroid/support
Landroid/support/v4
Landroid/support/design
Lcom/google/android/gms
Lcom/google/ads
Lcom/google/firebase
Lcom/facebook
Lcom/pnikosis
--------
LibD:
========
APP 18:/Volumes/banana/apks/com.mixcloud.player.apk
LibRadar:
Landroid/support
Landroid/support/v4
Landroid/support/v7
Landroid/support/multidex
Lbolts
Lio/fabric/sdk/android
Lokio
Lcom/comscore
Lcom/jakewharton/disklrucache
Lcom/google/android/gms
Lcom/google/thirdparty
Lcom/google/ads
Lcom/google/common
Lcom/google/gson
Lcom/millennialmedia
Lcom/squareup/okhttp
Lcom/crashlytics
Lcom/facebook
Lcom/jakewharton
--------
LibD:
com/avos/avosstatistics
com/jakewharton/disklrucache
com/millennialmedia/android
com/google/thirdparty
========
APP 19:/Volumes/banana/apks/com.slickdroid.vaultypro.apk
LibRadar:
Lcom/google/android/gms
Lcom/google/ads
Lcom/facebook
Lbutterknife
Landroid/support
Landroid/support/design
Landroid/support/v7
Landroid/support/v4
Lcom/readystatesoftware
Lpl
Luk
--------
LibD:
com/readystatesoftware/systembartint
========
APP 20:/Volumes/banana/apks/com.danhilment.real.drumset.apk
LibRadar:
Landroid/support
Landroid/support/v4
Lcom/parse
--------
LibD:
com/fbkimnx/dpkdgjn91481
========
APP 21:/Volumes/banana/apks/com.frozennetworkinc.android_beachfoodpartyfrozen.apk
LibRadar:
Landroid/support
Landroid/support/v4
Landroid/support/v7
Landroid/support/multidex
Ldagger
Lcom/sponsorpay
Lcom/chartboost/sdk
Lcom/applovin
Lcom/millennialmedia
Lcom/vungle
Lcom/inmobi
Lcom/amazon/inapp
Lcom/amazon/device/ads
Lcom/google/android/gms
Lcom/google/android/exoplayer
Lcom/google/android/gcm
Lcom/google/ads
Lcom/unity3d
Lcom/unity3d/ads
Lcom/immersion/hapticmediasdk
Lcom/jirbo/adcolony
Lcom/flurry/android
Lcom/flurry/sdk
Lcom/facebook
Lcom/mopub
Lcom/fyber
Lcom/android/vending
Lcom/common/android/analytics
Lcom/common/android/iap_googleplay
Lcom/common/android/facebook
Lcom/common/android/ads
Lcom/common/android/iap_amazon
Lcom/common/android/utils
Lcom/wiyun/engine/utils
Lcom/wiyun/engine/sound
Lcom/wiyun/engine/network
Lcom/wiyun/engine/nodes
--------
LibD:
com/vungle/log
com/android/vending
dagger/internal
com/applifier/impact
lombok/extern/slf4j
========
APP 22:/Volumes/banana/apks/com.libiitech.libiihome.apk
LibRadar:
Landroid/support
Landroid/support/v4
Lorg/cocos2dx
Lorg/cocos2dx
Lcom/umeng/analytics
Lcom/umeng/common
Lcom/chartboost/sdk
Lcom/applovin
Lcom/google/android/gms
Lcom/google/android/gcm
Lcom/google/ads
Lcom/immersion/hapticmediasdk
Lcom/jirbo/adcolony
Lcom/flurry/android
Lcom/flurry/sdk
Lcom/android/vending
Lcom/umeng
--------
LibD:
com/immersion/hapticmediasdk
com/immersion/content
com/chartboost/sdk
com/umeng/analytics
com/android/vending
lombok/extern/slf4j
org/OpenUDID
com/umeng/common
========
APP 23:/Volumes/banana/apks/pl.netigen.bestelectricguitarfree.apk
LibRadar:
Landroid/support
Landroid/support/v4
Landroid/support/v13
Lcom/google/android/gms
Lcom/google/ads
Lcom/google/firebase
Lcom/squareup/picasso
--------
LibD:
========
APP 24:/Volumes/banana/apks/com.magmamobile.game.slice.apk
LibRadar:
Lcom/adwhirl
Lcom/google/ads
Lcom/millennialmedia
Lcom/adfonic
Lcom/inmobi
Lcom/furnace/utils
Lcom/google/android/apps
Lcom/mdotm
Lcom/magmamobile/mmusia/parser
Lcom/magmamobile/mmusia/activities
Lcom/magmamobile/mmusia/image
Lcom/magmamobile/mmusia/views
Lcom/magmamobile/game/gamelib
Lcom/magmamobile/game/cardsLib
Lcom/zestadz
--------
LibD:
com/millennialmedia/android
com/mdotm/android
com/inmobi/commons
com/zestadz/android
lombok/extern/slf4j
com/millennialmedia/google
========
APP 25:/Volumes/banana/apks/com.monotype.android.font.free.pencil.apk
LibRadar:
Landroid/support
Landroid/support/design
Landroid/support/v7
Landroid/support/v4
Lcom/google/android/gms
Lcom/google/ads
Lcom/google/firebase
Lcom/facebook
Lcom/android/volley
La/a/a
--------
LibD:
========
APP 26:/Volumes/banana/apks/com.eboundservices.pakistantv.apk
LibRadar:
Lcom/google/android/gms
Lcom/google/ads
Lcom/squareup/picasso
Lokhttp3
Lokio
Landroid/support
Landroid/support/design
Landroid/support/v7
Landroid/support/v4
Landroid/support/multidex
Lorg/jsoup
--------
LibD:
========
APP 27:/Volumes/banana/apks/com.lufthansa.android.lufthansa.apk
LibRadar:
Lde/greenrobot/dao
Lde/greenrobot/event
Lcom/google/android/gms
Lcom/google/gson
Lcom/squareup/okhttp
Lcom/crashlytics
Lcom/nostra13
Lio/fabric/sdk/android
Lokio
Landroid/support
Landroid/support/design
Landroid/support/v7
Landroid/support/v4
Lorg/simpleframework
Lorg/jsoup
Lio/card
--------
LibD:
========
APP 28:/Volumes/banana/apks/com.blogspot.euapps.skrillexdubstepmusicpad.apk
LibRadar:
Landroid/support
Landroid/support/v4
Landroid/support/v7
Lcom/google/android/gms
Lcom/google/ads
Lcom/android/vending
Lio/huq/sourcekit/network
--------
LibD:
com/android/vending
========
APP 29:/Volumes/banana/apks/com.igg.android.lordsmobile.apk
LibRadar:
Landroid/support
Landroid/support/v4
Lorg/apache/http
Lorg/fmod
Lcom/google/android/gms
Lcom/google/android/gcm
Lcom/google/ads
Lcom/unity3d
Lcom/appsflyer
Lcom/android/vending
Lcom/facebook
Lcom/google/games
--------
LibD:
org/apache/http
========
APP 30:/Volumes/banana/apks/com.ezmusicplayer.demo.apk
LibRadar:
Landroid/support
Landroid/support/v4
Landroid/support/v7
Lcom/google/android/gms
Lcom/mobeta
--------
LibD:
com/a
========
APP 31:/Volumes/banana/apks/com.wiziapp.app104340.apk
LibRadar:
Landroid/support
Landroid/support/v4
Lorg/apache/commons
Lorg/apache/http
Lorg/acra
Lcom/google/android/gms
Lcom/google/android/gcm
Lcom/google/ads
Lcom/google/gson
Lcom/google/analytics
Lcom/loopj
--------
LibD:
org/apache/commons
com/google/gson
com/google/ads
org/apache/http
lombok/extern/slf4j
org/acra
========
APP 32:/Volumes/banana/apks/com.mrdt.racegame.apk
LibRadar:
Lcom/appbrain
Lcom/esotericsoftware
Lcom/google/android/gms
Lcom/google/ads
Lcom/badlogic
Lcmn
--------
LibD:
com/esotericsoftware/tablelayout
lombok/extern/slf4j
========
APP 33:/Volumes/banana/apks/com.g6677.android.petspasalon.apk
LibRadar:
Lorg/cocos2dx
Lorg/cocos2dx
Lcom/tapjoy
Lcom/chartboost/sdk
Lcom/millennialmedia
Lcom/amazon/inapp
Lcom/github
Lcom/google/ads
Lcom/google/common
Lcom/flurry/android
Lcom/inmobi
Lcom/g6677
Lcom/cocos2d
--------
LibD:
com/inmobi/commons
com/millennialmedia/android
com/chartboost/sdk
com/flurry/android
com/inmobi/androidsdk
========
APP 34:/Volumes/banana/apks/com.contactive.apk
LibRadar:
Ljunit
Lretrofit
Lcom/mixpanel/android/java_websocket
Lcom/google/android/gms
Lcom/google/common
Lcom/google/gson
Lcom/nineoldandroids
Lcom/nostra13
Lcom/facebook
Lorg/hamcrest
Lorg/slf4j
Lorg/joda/time
Lorg/junit
Lorg/apache/commons
Lnet/hockeyapp/android
Landroid/support
Landroid/support/v4
Landroid/support/v7
Lbolts
Lch/qos/logback
La_vcard
Lcom/mixpanel
Lcom/google/i18n/phonenumbers/prefixmapper
Lorg/joda
Lorg/jraf
Lnet
Lme/leolin
Lch
--------
LibD:
com/mindprod/ledatastream
brut/common
lombok/extern/log4j
a_vcard/com/android
com/nineoldandroids/view
retrofit/android
retrofit/http
com/gamelion/Dradfgedhyew
========
APP 35:/Volumes/banana/apks/br.com.radios.radiosmobile.radiosnet.apk
LibRadar:
Landroid/support
Landroid/support/v4
Landroid/support/v7
Lcom/google/android/gms
Lcom/google/a
Lcom/bumptech
--------
LibD:
========
APP 36:/Volumes/banana/apks/air.com.zyncstudio.PoolBabyCare.apk
LibRadar:
Landroid/support
Landroid/support/v4
Landroid/support/v13
Landroid/support/v7
Lcom/google/android/gms
Lcom/google/ads
Lcom/adobe/flashplayer
Lcom/adobe/flashruntime
Lcom/adobe/air
Lcom/adobe/fre
Lcom/milkmangames
--------
LibD:
com/adobe/fre
com/adobe/flashplayer
com/amazonaws/services/
========
APP 37:/Volumes/banana/apks/com.g5e.specialenquiry.apk
LibRadar:
Landroid/support
Landroid/support/v4
Lorg/fmod
Lcom/google/android/vending
Lcom/google/android/gcm
Lcom/b/a
Lcom/facebook
Lcom/d
Lcom/arellomobile
Lcom/g5e/xpromo
Lcom/b
Lcom/swrve/sdk/e
Lcom/swrve/sdk/g
--------
LibD:
========
APP 38:/Volumes/banana/apks/com.appspot.swisscodemonkeys.detector.apk
LibRadar:
Lcom/appbrain
Lcom/google/android/gms
Lcom/viewpagerindicator
Landroid/support
Landroid/support/v4
Landroid/support/v7
--------
LibD:
========
APP 39:/Volumes/banana/apks/com.schnapps.projectorface.apk
LibRadar:
Landroid/support
Landroid/support/v4
Landroid/support/v7
Lcom/nineoldandroids
Lcom/github
Lcom/google/android/gms
Lcom/google/ads
Lcom/daimajia/androidanimations
Lcom/vk/sdk/api/model
Lcom/vk/sdk/api/httpClient
Lcom/vk/sdk/dialogs
Lcom/vk/sdk/util
Lcom/daimajia
--------
LibD:
com/nineoldandroids/view
com/daimajia/androidanimations
========
APP 40:/Volumes/banana/apks/com.kii.safe.apk
LibRadar:
Lbutterknife
Lio/fabric/sdk/android
Landroid/support
Landroid/support/v4
Landroid/support/v7
Landroid/support/design
Lretrofit2
Lcom/google/android/exoplayer
Lcom/google/android/gms
Lcom/google/ads
Lcom/facebook
Lcom/bumptech
Lcom/github
Lcom/immersion/hapticmediasdk
Lcom/crashlytics
Lcom/mopub
Lcom/android/vending
Lpl
Lcom/samsung
--------
LibD:
com/ami/fundapter
com/atminn/urbanroundup
com/ami/fundapter
com/ami/fundapter
========
APP 41:/Volumes/banana/apks/com.epicforce.iFighter2.apk
LibRadar:
Landroid/support
Landroid/support/v4
Lorg/fmod
Lcom/google/android/gms
Lcom/google/a
Lcom/facebook
--------
LibD:
com/a
========
APP 42:/Volumes/banana/apks/com.aitype.android.lang.ar.apk
LibRadar:
Landroid/support
Landroid/support/v4
Landroid/support/v7
Lcom/google/android/gms
Lcom/flurry/android
Lcom/flurry/sdk
Lcom/upalytics/sdk/gson
Lcom/android/volley
Lcom/upalytics
--------
LibD:
========
APP 43:/Volumes/banana/apks/com.g5e.cursedship.android.apk
LibRadar:
Landroid/support
Landroid/support/v4
Lcom/chartboost/sdk
Lcom/flurry/android
Lcom/flurry/sdk
Lcom/google/android/gms
Lcom/google/android/vending
Lcom/google/android/vending
Lcom/google/android/gcm
Lcom/google/ads
Lcom/android/vending
Lcom/android/vending
Lcom/facebook
Lcom/pushwoosh
Lcom/arellomobile
Lcom/fiksu
Lcom/kochava
Lcom/playnomics
Lcom/mobileapptracker
--------
LibD:
com/flurry/android
com/chartboost/sdk
lombok/extern/slf4j
========
APP 44:/Volumes/banana/apks/uk.tapmedia.qrreader.apk
LibRadar:
Lcom/google/zxing
Lcom/google/ads
--------
LibD:
com/google/ads
========
APP 45:/Volumes/banana/apks/eu.softwareworkshop.advancedghostradar.apk
LibRadar:
Lcom/esotericsoftware
Lcom/google/android/gms
Lcom/google/ads
Lcom/google/tagmanager
Lcom/google/analytics
Lcom/badlogic
--------
LibD:
com/esotericsoftware/tablelayout
lombok/extern/slf4j
========
APP 46:/Volumes/banana/apks/com.kkkeyboard.emoji.keyboard.theme.ParisNight.apk
LibRadar:
Lretrofit
Landroid/support
Landroid/support/design
Landroid/support/v7
Landroid/support/v4
Landroid/support/a
Lcom/squareup/okhttp
Lcom/google/android/gms
Lcom/google/gson
Lcom/mopub
Lcom/nineoldandroids
Lcom/a
Lcom/facebook
Lcom/flurry/android
Lcom/flurry/sdk
Lcom/android/volley
Lokio
Lcom/appjolt
--------
LibD:
retrofit/mime
retrofit/converter
com/nineoldandroids/view
retrofit/appengine
retrofit/android
retrofit/http
retrofit/client
========
APP 47:/Volumes/banana/apks/com.com2us.derbyday.normal.freefull.google.global.android.common.apk
LibRadar:
Landroid/support
Landroid/support/v4
Lbolts
Lcom/tapjoy
Lcom/chartboost/sdk
Lcom/google/android/gms
Lcom/google/android/vending
Lcom/google/android/gcm
Lcom/android/vending
Lcom/facebook
Lcom/com2us/wrapper/module
Lcom/com2us/peppermint/util
Lcom/com2us/module/inapp/lebi
Lcom/com2us/module/inapp/googleplay
Lcom/com2us/module/util
Lcom/com2us/module/activeuser/useragree
Lcom/com2us/module/activeuser/checkpermission
Lcom/com2us/module/manager
Lcom/com2us/module/push
--------
LibD:
com/gamelion/Dradfgedhyew
========
APP 48:/Volumes/banana/apks/com.digitalpalette.pizap.apk
LibRadar:
Lcom/newrelic
Lcom/nostra13
Lcom/github
Lcom/google/android/gms
Lcom/google/ads
Lcom/sec/android/iap
Lcom/crashlytics
Lcom/android/vending
Lcom/nokia/payment/iap
Lcom/facebook
Landroid/support
Landroid/support/v4
Landroid/support/v7
Lbolts
Lde
Lcom/afollestad
Lcom/skubit
Lcom/androidquery/util
Lcom/androidquery/auth
Lcom/larvalabs
Lafzkl
Lorg/onepf/oms/appstore/fortumoUtils
Lorg/onepf/oms/appstore/skubitUtils
--------
LibD:
com/android/vending
com/nokia/payment
a/b
com/afollestad/materialdialogs
javax/inject
com/sec/android
filter/pack
com/skubit/android
========
APP 49:/Volumes/banana/apks/com.gameinsight.bbdeluxe.apk
LibRadar:
Landroid/support
Landroid/support/v4
Lbolts
Lde/greenrobot/event
Lcom/chartboost/sdk
Lcom/google/android/gms
Lcom/google/android/gcm
Lcom/google/ads
Lcom/appsflyer
Lcom/android/vending
Lcom/flurry/android
Lcom/flurry/sdk
Lcom/facebook
Lde
Lcom/vk/sdk/dialogs
Lcom/vk/sdk/payments
Lcom/vk/sdk/api/httpClient
Lcom/vk/sdk/util
Lcom/tune/ma
Lcom/tune/http
Lcom/google/example
Lcom/devtodev/core/data/metrics/simple
Lcom/gameinsight/ic
Lcom/gameinsight/fzmobile/service
Lcom/gameinsight/fzmobile/fzudid
Lcom/gameinsight/fzmobile/facebook
--------
LibD:
com/android/vending
========
APP 50:/Volumes/banana/apks/nexbit.icons.moonshine.apk
LibRadar:
Landroid/support
Landroid/support/design
Landroid/support/v7
Landroid/support/v4
Lcom/bumptech
Lcom/google/android/apps
Lcom/makeramen
Lcom/afollestad
--------
LibD:
com/makeramen/roundedimageview
com/afollestad/materialdialogs
com/bumptech/glide
========

```